Bug Tracker

Opened 11 years ago

Closed 11 years ago

#4075 closed bug (invalid)

Autocomplete doesn't work in IE 6, 7

Reported by: skolenko Owned by:
Priority: major Milestone: 1.3.2
Component: unfiled Version: 1.3.1
Keywords: Cc:
Blocked by: Blocking:

Description

I have code: <html> <head>

<title>IE + autocomplete</title> <meta http-equiv="Content-Type" content="text/html; charset=windows-1251">

</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0">

<script src="/js/contrib/jquery.js"></script> <link rel="stylesheet" href="/js/contrib/jquery-plugins/jquery-autocomplete/jquery.autocomplete.css" type="text/css" /> <script type="text/javascript" src="/js/contrib/jquery-plugins/jquery-autocomplete/jquery.autocomplete.js"></script> <script type="text/javascript" src="/js/contrib/jquery-plugins/jquery-autocomplete/lib/jquery.bgiframe.min.js"></script>

<script>

$(document).ready(function() {

$("#search_client").autocomplete('/mod/api/client_manager/client_search/', {

matchContains: true, minChars: 1, autoFill: true, formatItem: function(row) {

return row[0]+" "+row[2];

},

formatResult: function(row) {

return row[0];

}

});

});

</script>

<form autocomplete="off"> <input type="text" name="clnt_query" id="search_client" value="" size="50"> </form>

<div id="search_log"></div>

</body>

on page /mod/api/client_manager/client_search/?q=sd I get result:

sadfasd|62|asdfasdf|info@…sadfasd|64|asdfasdfsadfasd|65|asdfasdfsadfasd|66|asdfasdf
|
|
|

It works in FF but not in IE. IE doesn't give me any error message.

Change History (1)

comment:1 Changed 11 years ago by dmethvin

Resolution: invalid
Status: newclosed

The code you provided above isn't adequate for a test case because it doesn't include the plugins or describe which versions you used. To get started I would post a question on the jQuery Plugins forum. If the general consensus is that the problem you are seeing is a bug in jQuery, reopen the ticket and post a test case here.

Is this the autocomplete plugin that you are using?

http://plugins.jquery.com/project/autocompletex

If you are using jQuery 1.3, double-check that the plugin has been tested with 1.3.

If it is a problem with the autocomplete plugin, please open a ticket on the plugins bug tracker. http://plugins.jquery.com/

Note: See TracTickets for help on using tickets.